Skip to main content

Boleto issuance via CNAB

Request

ENDPOINT
/multibank_cnab
METHOD
POST
Attention!

The call must be authenticated following the standard described in the AUTHENTICATION AND SECURITY section. With the following considerations:

1 - The ContentMD5 variable value must be the MD5 Hash of the binary file to be sent;

2 - The file binary must be sent in the request body as FormData using the string "file" as key and the file to be sent as value. (This content is not encrypted);

info

The file transmitted in this call must follow the QI Tech Collection File Layout standard with 400 positions. Link to download the manual: Collection Layout - QI Tech version 2.1.

STATUS
200
Response Body
{
"cnab_file": {
"cnab_key": "52ff2ea1-a17f-4476-8eb8-617ddd16a81e",
"company_code": null,
"created_at": "2020-04-17T21:41:09",
"downloads": [
{
"cnab_file_id": 0,
"created_at": "2020-04-17T21:41:09",
"document_number": "41184562067",
"name": "João Ninguem",
"person_key": "string"
}
],
"file_size": "None",
"filename": "1905200807.REM",
"line_length": 400,
"remitter_key": "329",
"requester_profile_code": "329-01-0001-0000002",
"type": "requester_remittance",
"url": "https://google.com",
"version": "1"
},
"file_info": {
"bank_warning_number": 244,
"beneficiary_code": "1234567",
"beneficiary_name": "QI SOCIEDADE DE CREDITO DIRETO",
"credit_date": 190520,
"file_type_identifier": 1,
"file_type_literal": "REMESSA",
"service_code": 1,
"service_literal": "COBRANCA",
"wrote_at": 180520
},
"occurrence_list": [
{
"amount": "1399.67",
"asset_type": "invoice",
"automatic_bankruptcy_protest": true,
"automatic_protest": false,
"automatic_write_off": false,
"bank_teller_instructions": "SOMAR OS ENCARGOS PERTINENTES",
"beneficiary_account_branch": 1,
"beneficiary_account_number": 1273,
"beneficiary_account_number_digit": "1",
"cnab_file_occurrence_order": 1,
"days_before_fine": 0,
"days_before_interest": 0,
"days_to_bankruptcy_protest": 10,
"days_to_protest": 0,
"days_to_write_off": 0,
"discount_limit_date": "2020-05-14 00:00:00",
"discount_value": "0.00",
"document_number": "0198874/01",
"expiration": "2020-06-18 00:00:00",
"fine_percentage": "2.00",
"guarantor_address": "AVENIDA DAS AMERICAS, 1321",
"guarantor_city": "FAZENDA RIO GRANDE",
"guarantor_document_digit": 86,
"guarantor_document_root": 80550452,
"guarantor_document_subsidiary": 1,
"guarantor_name": "PLASTILIT PRODUTOS PLASTICOS DO PARANA S.A.",
"guarantor_postal_code_root": 83820,
"guarantor_postal_code_suffix": 23,
"guarantor_state": "PR",
"interest_daily_value": "4.67",
"messages": [
{"SOMAR OS ENCARGOS PERTINENTES"}
]
"occurrence_cnab_line": 2,
"occurrence_feedback": null,
"occurrence_sequence": "0",
"occurrence_type": "registration",
"origin_type": "remittance",
"our_number": 109001065,
"our_number_digit": "1",
"participant_control_number": "700000004167313",
"payer_address": "AVENIDA 7 DE SETEMBRO, N. 1043",
"payer_document": "77900454000143",
"payer_name": "ARLINDO RAGAZZON ME",
"payer_person_type": "legal",
"payer_postal_code_root": 89874,
"payer_postal_code_suffix": 0,
"printing_policy": "no_printing",
"rebate_amount": "0.00",
"registration_institution_enumerator": "bradesco",
"registration_institution_febraban_code": "237",
"requester_key": "64d3bafa-2205-43ca-b6a7-2827aefe3ebc",
"requester_profile": 19,
"requester_profile_code": "237-19-0001-0001273",
"requester_registration_date": "2020-05-18 00:00:00",
}
]
}
STATUS
400
Response Body
{
"data": "{\"title\": \"Bad Request\", \"description\": \"Invalid request body.\", \"translation\": \"Corpo da requisição inválido.\", \"extra_fields\": {}, \"code\": \"LEG000069\"}"
}